The "Get Product by ID" API allows to retrieve information for a specific product using its unique identifier. Use this endpoint to fetch details for a single product based on the provided product ID.

http
GET https://services.leadconnectorhq.com/products/{productId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
productIdstringYes6578278e879ad2646715ba9cID or the slug of the product that needs to be returned

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYes6578278e879ad2646715ba9caccount Id
sendWishlistStatusbooleanNoTrueParameter which will decide whether to show the wishlisting status of products

Responses

200 - Successful response
  • _id (string, required): The unique identifier for the product. Example: 655b33a82209e60b6adb87a5

  • description (string): product description Example: This is a really awesome product

  • variants (object[]): An array of variants for the product.

    • id (string, required): A unique identifier for the variant. Example: 38s63qmxfr4

    • name (string, required): The name of the variant. Example: Size

    • options (object[], required): An array of options for the variant.

      • id (string, required): The unique identifier for the option. Example: h4z7u0im2q8

      • name (string, required): The name of the option. Example: XL

  • locationId (string, required): The unique identifier for the account. Example: 3SwdhCsvxI8Au3KsPJt6

  • name (string, required): The name of the product. Example: Awesome Product

  • productType (string, required): The type of the product (e.g., PHYSICAL). Example: PHYSICAL

  • availableInStore (boolean): Indicates whether the product is available in-store. Example: True

  • createdAt (string, required): The creation timestamp of the product. Example: 2023-11-20T10:23:36.515Z

  • updatedAt (string, required): The last update timestamp of the product. Example: 2024-01-23T09:57:04.846Z

  • statementDescriptor (string): The statement descriptor for the product. Example: abcde

  • image (string): The URL for the product image. Example: https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png

  • collectionIds (string[]): An array of category Ids for the product

  • isTaxesEnabled (boolean): The field indicates whether taxes are enabled for the product or not. Example: True

  • taxes (string[]): An array of ids of Taxes attached to the Product. If the expand query includes tax, the taxes will be of type ProductTaxDto. Please refer to the ProductTaxDto for additional details.

  • automaticTaxCategoryId (string): Tax category ID for Automatic taxes calculation. Example: 65d71377c326ea78e1c47df5

  • label (object): The Product label details

  • slug (string): The slug of the product by which the product will be navigated Example: washing-machine

json
{
  "_id": "655b33a82209e60b6adb87a5",
  "description": "This is a really awesome product",
  "variants": [
    {
      "id": "38s63qmxfr4",
      "name": "Size",
      "options": [
        {}
      ]
    }
  ],
  "locationId": "3SwdhCsvxI8Au3KsPJt6",
  "name": "Awesome Product",
  "productType": "PHYSICAL",
  "availableInStore": true,
  "createdAt": "2023-11-20T10:23:36.515Z",
  "updatedAt": "2024-01-23T09:57:04.846Z",
  "statementDescriptor": "abcde",
  "image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
  "collectionIds": [
    "65d71377c326ea78e1c47df5",
    "65d71377c326ea78e1c47d34"
  ],
  "isTaxesEnabled": true,
  "taxes": [
    "654492a4e6bef380114de15a"
  ],
  "automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
  "slug": "washing-machine"
}
400 - Product not found
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/products/YOUR_productId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?